From e8b4fe859faf64e73687b02be95d61db34cadec8 Mon Sep 17 00:00:00 2001
From: Michael Stapelberg <michael@stapelberg.de>
Date: Tue, 9 Jul 2013 21:23:25 +0200
Subject: [PATCH] Add systemd service file, use dh-systemd

---
 debian/control      |    3 ++-
 debian/cron.service |    8 ++++++++
 debian/rules        |    2 +-
 3 files changed, 11 insertions(+), 2 deletions(-)
 create mode 100644 debian/cron.service

diff --git a/debian/control b/debian/control
index f9180e6..8c31b08 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,8 @@ Build-Depends:
     debhelper (>= 9),
     libpam0g-dev,
     libselinux1-dev [linux-any],
-    libaudit-dev [linux-any]
+    libaudit-dev [linux-any],
+    dh-systemd (>= 1.4)
 Homepage: http://ftp.isc.org/isc/cron/
 Vcs-Git: git://git.debian.org/git/pkg-cron/pkg-cron.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cron/pkg-cron.git
diff --git a/debian/cron.service b/debian/cron.service
new file mode 100644
index 0000000..d4dfab2
--- /dev/null
+++ b/debian/cron.service
@@ -0,0 +1,8 @@
+[Unit]
+Description=Regular background program processing daemon
+
+[Service]
+ExecStart=/usr/sbin/cron -f
+
+[Install]
+WantedBy=multi-user.target
diff --git a/debian/rules b/debian/rules
index c140b0d..0ccba3f 100755
--- a/debian/rules
+++ b/debian/rules
@@ -50,7 +50,7 @@ endif
 
 
 %:
-	dh $@ 
+	dh $@  --with=systemd
 
 
 override_dh_auto_install:
-- 
1.7.10.4

